Package be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

# Class LocationBirthPlaceType

java.lang.Object
be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.LocationBirthPlaceType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:58+02:00", comments="JAXB RI v4.0.5") public class LocationBirthPlaceType extends Object implements Serializable

Java class for locationBirthPlaceType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="locationBirthPlaceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-EBIRTH-PLACE" minOccurs="0"/>
             <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType" minOccurs="0"/>
             <element name="address" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}addressType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocationBirthPlaceType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddressType`
  `getAddress()`
  Gets the value of the address property.
  `CDEBIRTHPLACE`
  `getCd()`
  Gets the value of the cd property.
  `TextType`
  `getText()`
  Gets the value of the text property.
  `void`
  `setAddress(AddressType value)`
  Sets the value of the address property.
  `void`
  `setCd(CDEBIRTHPLACE value)`
  Sets the value of the cd property.
  `void`
  `setText(TextType value)`
  Sets the value of the text property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LocationBirthPlaceType

    public LocationBirthPlaceType()

- ## Method Details

  - ### getCd

    public CDEBIRTHPLACE getCd()
    Gets the value of the cd property.
    Returns:
      possible object is `CDEBIRTHPLACE`

  - ### setCd

    public void setCd(CDEBIRTHPLACE value)
    Sets the value of the cd property.
    Parameters:
      `value` - allowed object is `CDEBIRTHPLACE`

  - ### getText

    public TextType getText()
    Gets the value of the text property.
    Returns:
      possible object is `TextType`

  - ### setText

    public void setText(TextType value)
    Sets the value of the text property.
    Parameters:
      `value` - allowed object is `TextType`

  - ### getAddress

    public AddressType getAddress()
    Gets the value of the address property.
    Returns:
      possible object is `AddressType`

  - ### setAddress

    public void setAddress(AddressType value)
    Sets the value of the address property.
    Parameters:
      `value` - allowed object is `AddressType`